Jump to content

Search the Community

Showing results for tags 'zoom'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Found 23 results

  1. scared with modifying the cui so maybe someone can help me. i want to set the rmb (right mouse button) to pan and ctrl+rmb to zoom i.e. just like in rhino.. is this possible and can maybe someone guide me?
  2. Hi, So I'm experiencing a glitch in zooming where when I use the wheel on the mouse occasionally it over zooms in and out, and continues even when I stop scrolling the wheel. I have a wireless Logitech mouse and attempted to adjust the sensitivity. I have tried using a basic plug in mouse, and changed the zoomfactor in AutoCAD. None of these have worked. I'm using AutoCAD 2017. The wheel problem only happens when in AutoCAD. If anyone has any suggestions! Thanks.
  3. asperotti415

    Viewport Help

    Hi, I can't seem to pan or zoom, and the viewport is NOT locked. Please help. I keep having to delete the viewports and start over. Easy fix but time consuming when I have to recreate a dozen layouts. Thank you!
  4. Karl Johansson

    dynamic / "snap" zoom?

    Help...! I am a looking for the dimvar (?) setting which sets my zoom window / zoom previous command to "snap" to the selected area and / or the previous. In my re-install of my AutoCAD LT software I've lost this setting and it does the dynamic zoom, showing the progression zoom on screen. Anybody know how I can fix this? Karl J.
  5. Hi guys, Is it possible to specify zoom factor that will show on my monitor same size as will printed on paper? For example: i'm making drawing in 1:100 scale in milimeters, and before printing it i want to make sure that everything is readable. I know that depands on screen resolution, dpi and pixel size.
  6. This is frustrating. I try to zoom into an object with my mouse and it disppears. I zoom out and it reappears but it's too far away, I zoom in again and it disappears. Why is it doing this? I click zoom object and that works but I don't want to do that every single time and even that isn't zoomed in enough. Know what I'm talking about?
  7. Hi all, I just installed release 2016 a few weeks ago and noticed strange zoom behavior compared to release 2015. When I do a zoom Extents of a certain drawing, the drawing appreas out of center in the right quadrant of the screen. There are no loose objects in the other quadrants, as I have checked that and when I open the same drawing in release 2015 the zoom works just fine Other drawings do not have this problem. Any thoughts?
  8. I don't know if this requires a lisp or a script solution.. I regularly work on multi-tabbed drawings. I often encounter situations where on a tab, the extents are much smaller than the title block. The title block extends off/beyond the existing extents (defined by the hidden/dashed line.) Is that the printable area or the extents? What I typically do is: zoom extents, Go to plot, change something such as: unpick the fit to paper check box, pick it again (so that something changes) Pick Apply to layout button then hit Cancel. The extents of the drawing then automatically change (or are updated) to the correct extents of the title block. (My dashed line now surrounds my entire title block.) Regen or Regenall doesn't do it. Zooming extents alone doesn't fix it either. Having to do those steps on all 30 tabs of a drawing is a PITA. Any suggestions or solutions that any of you are aware of? Is there another way of accomplishing this? I would SO APPRECIATE a workable solution...
  9. I am running 2013 Civil 3D and have drawings that include thousands of COGO Points. I need to go to each point and visibly check each one to see where it is and to gather survey description information at that location. Is there a lisp code that would help me to consecutively zoom to each Cogo Point and then to the next point. I am a where of the ZTP (Zoom To Point) command, but that only goes to one point at a time. Do I need to create a list of points first?
  10. I have to make a bunch of PDFs of different apartments. They don't have to be the same scale, however my Viewport scale options are pretty standard, and when I scroll between them I don't have as options as I'd like. (as in- I can choose 1:5 ----1:something --- 1: something else ---1:10 there aren't so many shades of gray between the two choices for fine-tuning). Basically: I want to be on my A4 in Paperspace and be able to select the apartment, and similar to Zoom-Extents, I want what I just selected to fill up my Viewport to the very edges. (I can't use the real zoom extents because the model space is full of diff apartments, I need to individually zoom for each apartment...) I keep having to make custom scales (1:8, 1:7.5) to fit for each apartment and it's taking too much time... ideas? Is there a function like that I'm not aware of?
  11. Liltygar

    AMVPORT vs MVIEW

    I have been trying to figure out what the connection difference to AutoCAD mechanical the viewports really have. Scenario: We all run 2013 AutoCAD Mechanical. Some users use the ribbon (AMVport) command to create our viewports. Some users use MVIEW. This causes major problems when trying to print through the .pdf program due to the box that comes up: I have figured out how to manipulate the MView viewport enough so that it behaves like AMVport or at least doesn't bring up this box, but now I am finding that the problems exist when trying to use a scale other than Imperial. For instance: I have a detail that is using a scale 1:8. I have two other viewports that are using the scale 1:2 (or 6”:1’0”). I get this message then but only sometimes. It isn't consistent enough to figure out why one will work and why the other won’t. I don’t want to put limits on how the drafters to their jobs, but still have to be able to use the features and programs as they are designed – that includes not having error messages.
  12. Texas_racer9

    OLE Insert that scale with zooming

    I inserted our company logo and placed It properly in our title block. But when I zoom in with the mouse wheel the logo gets smaller in the border. When I zoom out it increases bigger than the border. Any help would be greatly appreciated.... I hope I am just missing a small option..
  13. AutoCAD entity using its handle, and zoom from child to parent block, here i used tag name of child block as "REMARKS" and value inserted Parent block handle from Excel. I found some lisp from internet, but showing error, anyone can correct it..? thanks, (defun LM:vl-GetAttributeValue ( block tag ) (setq tag (strcase tag)) (vl-some (function (lambda ( attrib ) (if (eq tag (strcase (vla-get-Tagstring attrib))) (vla-get-TextString attrib) ) ) ) (vlax-invoke block 'GetAttributes) ) ) (defun c:test ( / ss ) (if (setq ss (ssget "_+.:E:S" '((0 . "INSERT") (66 . 1)))) (princ (LM:vl-GetAttributeValue (vlax-ename->vla-object (ssname ss 0)) (setq ent_handle (setq Mystring "REMARKS")) ) ) ) (command "Zoom" "Object" (handent ent_handle) "") (princ) )
  14. Hi all! This site is so amazingly useful, and I can't believe I'm finally just registering. First post! ------------------------------ Okay, so there are two parts to my question: 1. I know I've seen this answered before, but is there a way to pan within a locked viewport? Everything I've tried has led me to believe that this is not possible. Could someone please confirm? 2. Is it possible to limit a viewport's scale to one specific value? In my case I need all of my viewports, on multiple sheets, to show my model space in 1:100. That said I don't want to be able to zoom in this viewport, just a straight up "pan-only" space--hence my first question. Edit#1: So to further explain my situation, this particular drawing set that I'm putting together is only used to focus and display what is in my modelspace --nothing more. It seems as though I'll need to continue unlocking, panning, zooming, scaling, and re-locking my work for now. In the end the final goal was to send this drawing template to a client to allow them to adjust what areas of the drawing the wanted to display without them needing to play with the scale.
  15. I have just been doing some work for a company and they were using AutoCAD 2009. One of my tasks involved stretching and moving items from imported drawings over Architectural layouts. Lines drawn on the x and y axis were fine. However, if I zoomed in on angled lines they moved out of view making them difficult to select or position to a snap point. If I selected those lines then they remained in place when I zoomed in. When I approached the company manager he replied by saying that he would zoom in then zoom out to the point where the lines were correct and in place. I thought that he was either joking or was testing me! It meant I could not do any detailed work - which contradicts the use of Auto CAD. The question has to consider the fact that the lines were angled and that they remained static when selected. When zooming in and selecting them they were off and running out of the screen view. Please also note that my colleague at the next desk opened up the file on V2008 and he could zoom in okay. I was also using a wide screen if this matters. Can anybody help as I am sure someone has come across this problem before?
  16. Dear all, I need to create detail views in a 2d layout drawing. What I mean is that a 'zoomed' view inside a "circle". The view magnifies the specific part of a drawing, but the dimension value keep the same. What command should I use? Please help. Thanks
  17. Firstly thanks for all your help on previous questions. On most occasions, when closing a dwg file with other dwg files still open, a dialog box will open saying ‘non responsive program, autocad must close’. The remaining open files losing any work on them done since I last hit save ( i thought when it opens in recovery mode the recovered files would be saved to within 10 minutes of the crashed application as that’s what the AC settings are set to). Autodesk tech support asked me to move the dwg files off the server to see if the problem persists. So far so good but its only been 2 days. And ideally the files must be on the server. (IT recently renewed the server. The problem was also there before however). Another problem I’ve had is a slow response ( 5 to 20 seconds ) when making certain commands, in particular switching between model space and paper space (even with files on the local drive). Zooming in and out also seriously labours AC (but not with all files I work with). Having also mentioned the above to Autodesk support it was suggested that we temporarily disable the security and observe the response. Something of note, I’ve clicked the performance settings tab which opens the performance tuning dialog which has the enable hardware acceleration checked. ( autocad notes that my graphics card is unknown, and to run hardware acceleration at your own risk). When I hit the ‘check for updates’ button another window opens saying ‘a newer version of the graphics card and driver database that is used for performance tuning is available’. Clicking the yes button brings up yet another window which reads “ performance tuner failed to update. Please check your network connection and make sure you have write permission to the file” Its a steep learning curve for me and may well result in realising some incorrect settings or practices I have with the program. I appreciate your input here, if you can think of anything to add. What else should I trial? Etc...
  18. I am totally lost! When I zoom close into the drawing the lines are changing their angels…(!) Or they disappear only to pop op again as I zoom out. Also some of them changes from being full lines to being dotted (and it is not dotted lines) when I zoom in close. Also the SNAP function isn’t working very well. I have to zoom in A LOT in order to get it to snap. The snap icon shows all right, but when I zoom in afterwards it shows that it didn’t snap at all to the other line. This happened recently in drawing I have been working with since early spring without problems. Oh and one more thing. In one of my drawings, that are all drawn in 2D, many of the walls and other things suddenly are extended up as if it was 3D. I noticed this only because I was trying to solve my problem described above and I mention it because I think maybe it can be related to my problem. Really hope someone will try and help me cause I’m completely stalled as it is now. I use AutoCAD Architectural 2009 Thank you very much Marcus
  19. barry2104

    Zoom XP settings

    I find it annoying that after I ZOOM > 40XP (to get me a 1:25 scale viewport), I often have to pan the modelspace within the VP to nicely fit the viewport extents. Problem is, because the scale/zoom goes to 6 decimal places, after panning (with the middle mouse button) I let go of the middle mouse button/scroll wheel, but often then that slight nudge of the scroll wheel changes the zoom from exactly 40XP (1:25) to like 39.999996XP. I know that this 0.000004 zoom differential is not visibly noticeable, but I just prefer seeing the 1:25 locked in rather than the 39.999996 I'd rather not change the sensitivity of my mouse settings because I'm used to it and obviously use it in many other programs etc The ideal solution I see is somehow changing the viewport zoom scale to round to say 1 or 2 decimal places rather than to 6. Does anyone know if this is possible?
  20. I have got a file from a client. There is a series of objects which I want to delete but it shows strange behavior. 1- I can not select it but non of layers of frozen or locked 2- Purge doesn't delete it neither. 3- when I zoom on it, after a second it returns to its original size. In other words it ignores the zoom command. (This is the most strange reaction and I haven't seen it before) In zoom/all, I can't get the zoom I want as it is located far from main objects and affects the over all zoom and that is why I want to get rid of it ( btw zoom/extends works) What is it and how can get rid of it? BR Rasoul
  21. Hi, I'm new to writing LISP's and have finnished a couple for my studio. Just to keep busy when tides are low. The last I'm almost done with is an offset lisp that offsets in sequence (I do't really care if there are lisps already made for this, I've been trying to practice on my lisp routine making). I first choose the number of offsets, then the value for each offset and finally the side to offset. My problem is that when I zoom in close to the line the lisp works great - I mean, it offsets to the valeus I inputed. But when I'm a bit far out on the zoom it offsets to different values. I really don't know why it is doing this. Do I need to adjust the zoom sesitivity or something? Is there such a thing? Here is the code I wrote (it's in portuguese). Don't mind the messy way it's wirten. Thanks ;Criado por Rodrigo Líbano (defun c:offseq (/ numof numof2 numof3 list carl carls carlss voffx vof2x vof1x p2x side) (initget 7) (setq numof (getint "\nNúmero de offsets [2 ou mais]:")) (initget 7) (setq voffx (getdist "\nValor do primeiro offset:")) (setq numof (- numof 1)) (setq numof2 numof) (setq numof3 numof) (setq list (cons voffx voffx)) (setq vof1x voffx) (while numof (initget 7) (setq vof2x (getdist (strcat "\nValor do próximo offset [Restam:" (rtos numof 2 0)"]:"))) (setq vof2x (+ vof2x vof1x)) (setq list (cons vof2x list)) (setq vof1x vof2x) (setq numof (1- numof)) (if (= numof 0) (setq numof nil) (setq numof numof) ) ); end while (princ list) (setq carlss carls) (while (setq p2x (cadr (entsel "\nSelecione Objeto:"))) (setq side (getpoint "\nSelecione lado:")) (while numof2 (setq carl (nth numof2 list)) (if (= numof2 numof3) (setq carls (- carl carl)) (setq carls (nth (+ numof2 1) list)) ); end if (setq carls (- carl carls)) (setvar "OFFSETDIST" carl) (command "._UNDO" "_GROUP") (command ".OFFSET" carl p2x side "") (if (= numof2 0) (setq numof2 nil) (setq numof2 (- numof2 1)) ); end if ); end while (setq numof2 numof3) (setq carl carlss) ); end while (princ) )
  22. How do you set the wheel click to zoom into all of your drawn objects instead of the drawing limits?
  23. I am having a problem when I am in ps and I go to zoom into the object to snap or to add objects (still in ps) and the image of the viewport (ms) zoom in as well which is very annoying to work around It., any idea would be appreciative
×
×
  • Create New...